Subject: Re: [PATCH 2/2] Add the of_find_i2c_device_by_node function, V4

From: Grant Likely <[email-masked]>
Date: Tue, 1 Jul 2008 10:43:29 -0600

On Tue, Jul 01, 2008 at 11:12:58AM -0400, Jon Smirl wrote:
> On 7/1/08, Jean Delvare <[email-masked]> wrote:
> > I'm fine with this patch. In particular, exporting i2c_bus_type is OK.
> >  It was un-exported only because it had no user left, but it can be
> >  exported again if needed.
> 
> Another solution would be to move drivers/of/of_i2c into the i2c
> directory and make it part of i2c core on powerpc builds.

My preference is for things like of_spi and of_i2c to go with the
related busses; I think it makes more sense to keep all the I2C stuff
together, but I've already lost that battle once.

g.